petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMDACreateCompatibleDMDA

Creates a DMDA with the same layout but with fewer or more fields

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode  DMDACreateCompatibleDMDA(DM da,PetscInt nfields,DM *nda)

Collective

### Input Parameters

| da | - the distributed array
| nfields | - number of fields in new DMDA

### Output Parameter

nda -the new DMDA

### Keywords

distributed array, get, corners, nodes, local indices, coordinates

### See Also

DMDAGetGhostCorners(), DMSetCoordinates(), DMDASetUniformCoordinates(), DMGetCoordinates(), DMDAGetGhostedCoordinates()

### Level

intermediate

### Location

src/dm/impls/da/dacorn.c

### Examples

src/ksp/ksp/examples/tutorials/ex43.c.html
src/ksp/ksp/examples/tutorials/ex70.c.html
Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages